<!DOCTYPE html>
<html>
<head>
	<title>form for service orchestration</title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<body>
	a:<br>
	<input type="text" id="a" value="1">
	<br>
	b:<br>
	<input type="text" id="b" value="2">
	<br>
	c:<br>
	<input type="text" id="c" value="4">
	<br>
	d:<br>
	<input type="text" id="d" value="5">
	<br><br>
	<input type="button" value="Submit" onclick="myFunction()">

	<input type="text" id="hasil">

	<script>
		function myFunction() {
		    var a = $("#a").val()
		    var b = $("#b").val()
		    var c = $("#c").val()
		    var d = $("#d").val()
		    $.ajax({
		    	url: "http://host20023.proxy.infralabs.cs.ui.ac.id/cots2/calculate?a="+a+"&b="+b+"&c="+c+"&d="+d,
		    	type: GET,
		    	timeout: 360000,
		    	success: function(result) {
		    		$('#hasil').val(result['hasil'])
		    	}
		    })
		}
	</script>
</body>
</html>